#pragma once
#include "../Assets/Tile.h"
#include <Engine/Animation.h>
#include "Animation.h"

namespace graphics
{
	class Tile
	{
	public:
		Tile();
		Tile(assets::Tile &given_provider, gge::animation::Timer &timer);
		void initialize(assets::Tile &given_provider, gge::animation::Timer &timer);
		gge::animation::RectangularGraphic2DAnimation &getAnimation() const { return *animation; }

	private:
		assets::Tile *provider;
		gge::animation::RectangularGraphic2DAnimation *animation;
	};

	extern Animation *fogAnim;
	extern Animation *unchartedAnim;
}